## ros-one-audio-to-spectrogram 1.2.19-12jammy.20251215.2149

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12jammy.20251215.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:49:58 +0000

ros-one-audio-to-spectrogram (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.18-0jammy) jammy; urgency=high

  * [audio_to_spectrogram] Fix when to use catkin_install_python (#2859 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2859>)
    Conditional branch introduced by https://github.com/jsk-ros-pkg/jsk_recognition/pull/2743 is wrong
  * Add missing ros_environment dependency to package.xml (#2837)
    
    Any package that evaluates ROS_VERSION, ROS_DISTRO or ROS_PYTHON_VERSION
    at build time should add ros_environment as a dependency.
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Yuki Furuta

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.17-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.16-0jammy) jammy; urgency=high

  * [audio_to_spectrogram, sound_classification] Add data_to_spectrogram (#2767 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2767>)
  * [audio_to_spectrogram] Enable to change spectrum plot from rosparam (#2760 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2760>)
  * Fix audio to spectrogram plot and add test (#2764 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2764>)
  * [audio_to_spectrogram] Add AudioAmplitudePlot node to visualize audio amplitude #2657 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2657> (#2755 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2755>)
  * [audio_to_spectrogram] Enable publishing frequency vs amplitude plot (#2654 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2654>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * Contributors: Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Iory Yanokura

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.15-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.14-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.13-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.12-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.11-0jammy) jammy; urgency=high

  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * [audio_to_spectrogram] Enable multi channel input by retrieving single channel data (#2514 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2514>)
  * [audio_to_spectrogram] Add README for usage and scripts interface (#2498 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2498>)
    
      * [audio_to_spectrogram] Add README for usage and scripts interface
      * [audio_to_spectrogram] add args to audio_to_spectrogram.launch
      * [audio_to_spectrogram] Add arg to run audio_capture
    
  * Convert audio data to spectrogram (#2478 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2478>)
    
      * Make audio_to_spectrogram as ROS package
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.10-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.9-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.8-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.7-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.6-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.5-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.4-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.3-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.2-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-one-audio-to-spectrogram (1.2.1-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 20:44:00 -0000


