## ros-one-audio-to-spectrogram 1.2.19-12jammy.20260221.2326

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12jammy.20260221.2326) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:26:11 +0000
