## ros-one-audio-to-spectrogram 1.2.19-12noble.20251215.2148

=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12noble.20251215.2148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:48:21 +0000
