=== debian/changelog ===
ros-one-audio-to-spectrogram (1.2.19-12noble.20260222.0032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:32:12 +0000
