=== debian/control ===
Source: ros-one-audio-to-spectrogram
Section: misc
Priority: optional
Maintainer: Naoya Yamaguchi <yamaguchi@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-ros-environment
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-audio-to-spectrogram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-matplotlib, ros-one-audio-capture, ros-one-audio-common-msgs, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-view, ros-one-jsk-recognition-msgs, ros-one-jsk-topic-tools, ros-one-rostopic, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-topic-tools
Description: Convert audio (audio_common_msgs/AudioData) to spectrogram (sensor_msgs/Image)
